Bug 479197 - Xorg crashes with Intel 945GM display
Xorg crashes with Intel 945GM display
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
i386 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-07 16:27 EST by J. Patrick Bedell
Modified: 2009-12-04 12:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 12:57:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log from /var/log (74.54 KB, text/plain)
2009-01-07 16:27 EST, J. Patrick Bedell
no flags Details

  None (edit)
Description J. Patrick Bedell 2009-01-07 16:27:19 EST
Created attachment 328416 [details]
Xorg log from /var/log

Description of problem:

X crashes frequently with Intel 945GM display on Fedora 10 with distribution xorg-x11 packages and yum-updated packages. Syslog displays following messages (from 4 different crashes):

Jan  7 01:11:53 afm kernel: Xorg[2827]: segfault at 10000084 eip 006325dd esp bf9d9908 error 6
Jan  7 10:06:53 afm kernel: Xorg[2887]: segfault at 10000084 eip 006325dd esp bf93b158 error 6
Jan  7 11:11:13 afm kernel: Xorg[4184]: segfault at 10000084 eip 006325dd esp bf9dcef8 error 6
Jan  7 13:13:20 afm kernel: Xorg[4877]: segfault at 10000084 eip 006325dd esp bfd16c48 error 6


Version-Release number of selected component (if applicable):

xorg-x11-drv-i810-2.5.0-4.fc10.i386 is the installed driver for the 945GM.  Bug also present in driver shipped with FC10.

xorg-x11-server-Xorg-1.5.3-6.fc10.i386

How reproducible:

Run Fedora 10 with Intel 945GM.  Problem not present in Fedora 9, and Fedora 9 xorg-x11-* rpm installation resolves problem.  Recent update to other packages prevents use of Fedora 9 xorg-x11 rpms.  

Steps to Reproduce:
1. Run FC10 with 945GM chipset.
2.
3.
  
Actual results:

X crashes with a segfault every few hours, wiping out desktop. 

Expected results:

No crashes of X server.

Additional info:
Comment 1 Vedran Miletić 2009-11-05 18:12:08 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 2 Bug Zapper 2009-11-18 04:44:39 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Vedran Miletić 2009-12-04 12:57:36 EST
Thank you for your bug report.

We are sorry, but the Fedora Project is will soon stop longer releasing bug fixes or any other updates for this version of Fedora. There were so many changes between Fedora 10 and Fedora 12 in Intel driver and X.Org that it's very likely that this bug is fixed. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora (version 12), which is available from:

http://fedoraproject.org/get-fedora

Note You need to log in before you can comment on or make changes to this bug.